=== modified file 'doc/developers/ppa.txt'
--- doc/developers/ppa.txt	2008-07-23 04:35:09 +0000
+++ doc/developers/ppa.txt	2008-08-21 21:29:15 +0000
@@ -73,9 +73,6 @@
     [DEFAULT]
     default_host_main = notspecified
   
-    [notspecified]
-    fqdn = SPECIFY.A.PPA.NAME 
-
 * You need a Ubuntu (or probably Debian) machine, and ::
 
     sudo apt-get install build-essential devscripts dput quilt patch
@@ -91,21 +88,26 @@
 
 #. Decide on the final version number.  It should be of this form::
 
-     bzr-1.6~beta3-1~bazaar1
+     bzr-1.6~beta3-1~bazaar1~hardy1
 
    There are three hyphen-separated parts: the *package name*, the *upstream
    version*, and the *packaging version*.
 
    **Caution:** Upstream betas or release candidates must insert a tilde
    to make them sort before the final release, like this:
-   ``bzr-1.4~rc2-1~bazaar1``.
+   ``bzr-1.6~beta3-1~bazaar1~hardy1``.
+
+#. Create a directory per release::
+
+     mkdir ~/bzr/Releases/hardy
 
 #. Copy or hardlink the original tarball into your per-disto directory, under an 
    appropriate name ending in ``.orig.tar.gz``.  Untar it.  The extracted
    source directory and ``.orig`` file must match the version number you
    calculated above.  For example::
 
-     cp -l ~/bzr/Releases/bzr-1.6b3.tar.gz bzr_1.6~beta3.orig.tar.gz
+     cp -l ~/bzr/Releases/bzr-1.6b3.tar.gz ~/bzr/Releases/hardy/bzr_1.6~beta3.orig.tar.gz
+     cd ~/bzr/Releases/hardy
      tar xfvz bzr_1.6~beta3.orig.tar.gz
      mv bzr-1.6b3 bzr-1.6~beta3
 
@@ -121,13 +123,13 @@
 
    For bzrtools this is typically::
 
-      Build-Depends-Indep: bzr (>= 1.3~), rsync
-      Depends: ${python:Depends}, bzr (>= 1.3~), bzr (<< 1.4~), patch
+      Build-Depends-Indep: bzr (>= 1.6~), rsync
+      Depends: ${python:Depends}, bzr (>= 1.6~), bzr (<< 1.7~), patch
 
 #. Make a new ``debian/changelog`` entry for the new release,
    either by using ``dch`` or just editing the file::
 
-     dch -v '1.3-1~bazaar1' -D hardy
+      dch -v '1.6~beta3-1~bazaar1~hardy1' -D hardy
 
    dch will default to the distro you're working in and this isn't checked
    against the version number (which is just our conversion), so make sure 
@@ -136,7 +138,7 @@
    Make sure you have the correct email address for yourself, version
    number, and distribution.  It should look something like this::
 
-       bzr (1.3-1~bazaar1) hardy; urgency=low
+       bzr (1.6~beta3-1~bazaar1~hardy1) hardy; urgency=low
      
         * New upstream release.
      
@@ -150,7 +152,12 @@
 
 #. Commit these changes into the packaging branch::
 
-     bzr ci -m '1.3-1~bazaar1: New upstream release.' debian
+     bzr ci -m '1.6~beta3-1~bazaar1~hardy1: New upstream release.' debian
+
+#. Remove the .bzr directory from the Debian dir, as this adds unnecessary
+   cruft to the package::
+
+     rm debian/.bzr -R
 
 #. Build a source package::
 
@@ -161,15 +168,13 @@
    Check that file is reasonable: it should be uploading to the intended
    distribution, have a .orig file included, and the right version number.
 
-#. Upload into the beta PPA::
-
-     dput bzr-beta-ppa ../bzr__1.3-1\~bazaar1\_source.changes
-
-#. Copy the uploaded package over to other Ubuntu releases, taking advantage 
-   of Launchpad's Copy Package feature 
-   <https://launchpad.net/~bzr-beta-ppa/+archive/+copy-packages>
-
-#. For final release versions, also copy it into the ``~bzr`` PPA.
+#. Upload into the beta PPA for each release::
+
+     dput bzr-beta-ppa ../bzr__1.6~beta3-1\~bazaar1\~hardy1\_source.changes
+
+#. For final release versions, also copy it into the ``~bzr`` PPA::
+
+    dput bzr-ppa ../bzr__1.6-1\~bazaar1\~hardy1\_source.changes
 
 #. You should soon get an "upload accepted" mail from Launchpad, which
    means that your package is waiting to be built.  You can then track its

